%define build_debug      0
%{?_with_debug: %{expand: %%define build_debug 1}}
%{?_without_debug: %{expand: %%define build_debug 0}}

%define	name	blender
%define	version	2.28a
%define	release	3mdk
%define	Summary	A fully functional 3D modeling/rendering/animation package

Summary:	%{Summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Graphics
Source0:	http://download.blender.org/source/blender-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch0:		%{name}-%{version}-configure-junk.patch.bz2
Patch1:		%{name}-%{version}-pythoncrash.patch.bz2
URL: 		http://www.blender.org
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libopenal0-devel >= 0.0.6-9mdk
BuildRequires:	libMesaGLU-devel
BuildRequires:	libesound-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libopenssl-devel
BuildRequires:	libpng-devel
BuildRequires:	libpython-devel
BuildRequires:	libSDL-devel
BuildRequires:	libsmpeg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	zlib-devel
BuildRequires:	XFree86-devel
Requires:	python-imaging >= 1.1.4

%description
Blender is the in-house software of a high quality animation studio.
It has proven to be an extremely fast and versatile design instrument.
The software has a personal touch, offering a unique approach to the
world of three dimensions. Blender can be used to create TV
commercials, to make technical visualizations or business graphics, to
do some morphing, or to design user interfaces. Developers can easily
build and manage complex environments. The renderer is versatile and
extremely fast. All basic animation principles (curves and keys) are
implemented.

%if %build_debug
This version is build with debug enabled.
%endif

%prep
%setup -q
%patch0 -p1 -b .syntax
%patch1 -p1 -b .python

%build
%if %build_debug
CFLAGS="-O2 -g" \
%endif
%configure2_5x	--enable-openal \
		--without-gameblender \
		--disable-shared \
		--disable-vorbistest \
%if %build_debug
		--enable-debug \
%endif
		--disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall transform=''
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" \
	needs="X11" \
	icon="%{name}.png" \
	section="Multimedia/Graphics" \
	title="Blender" \
	longtitle="%{Summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%if %build_debug
export DONT_STRIP=1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README *.txt doc/*
%{_bindir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Thu Sep 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.28a-3mdk
- Added Patch1 to fix crash on startup.

* Wed Sep 10 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.28a-2mdk
- Release: 2.28a.
- Removed old Patch0.
- Added Patch0 to fix junk lines in configure.
- Added python-imaging to Requires to avoid crash on startup.

* Wed Sep 03 2003 Olivier Blin <oliv.blin@laposte.net> 2.28a-1mdk
- 2.28a (bugfix release)
- fix changelog

* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.28-3mdk
- rebuild against python for real (me suckysucky long time, and not in a good way;)

* Thu Aug 07 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.28-2mdk
- rebuild for new python

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.28-1mdk
- 2.2.8
- updated docs

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.27-2mdk
- rebuild
- change summary macro to avoid possible conflicts if we were to build debug package

* Tue May 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.27-1mdk
- 2.27
- quiet setup
- fixed buildrequires, also clutter .spec file with one line for each
- fix missing summary macro used in menu item
- a little macroisation
- regenerate Patch0
- added some docs

* Wed Feb 12 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.26-1mdk
- Updated to release 2.26.
- Disabled gameblender building (problems with libopenal).
- Added Patch0 to avoid library conflicts during building.

* Mon Nov 25 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.25b-3mdk
- Use .png extensions in %files list.

* Sun Nov 24 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.25b-2mdk
- Merged with prepared SPEC file.
- Build static version.
- Changed icons.
- Added some BuildRequires.
- Revert to static.
- Added Url for Source0, so to understand which source is used.

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 2.25-b.1mdk
- Initial relase
